NX Open C++ Reference Guide
|
Represents a builder for a pattern face feature, don't use it until nx502. More...
Public Types | |
enum | PatternTypes { PatternTypesRectangular, PatternTypesCircular, PatternTypesMirror } |
Enumeration of pattern type, don't use it until nx502 Created in NX5.0.2. More... | |
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the angle between circular pattern, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Axis * | Axis () |
Returns the axis of circular pattern, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Expression * | CircularCount () |
Returns the count of circular pattern, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::ScCollector * | Face () |
Returns the faces to pattern, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::SelectTaggedObject * | Plane () |
Returns the mirror plane of mirror pattern, don't use it until nx502 Created in NX5.0.2. | |
bool | RestoreOption () |
Returns the restore option for absent members. | |
void | SetAxis (NXOpen::Axis *axis) |
Sets the axis of circular pattern, don't use it until nx502 Created in NX5.0.2. | |
void | SetRestoreOption (bool restoreOption) |
Sets the restore option for absent members. | |
void | SetType (NXOpen::Features::PatternFaceBuilder::PatternTypes patternType) |
Sets the pattern face type, don't use it until nx502 Created in NX5.0.2. | |
void | SetXVector (NXOpen::Direction *xVector) |
Sets the X direction of rectangular pattern, don't use it until nx502 Created in NX5.0.2. | |
void | SetYVector (NXOpen::Direction *yVector) |
Sets the Y direction of rectangular pattern, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Features::PatternFaceBuilder::PatternTypes | Type () |
Returns the pattern face type, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Expression * | XCount () |
Returns the count of rectangular pattern along X direction, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Expression * | XDistance () |
Returns the distance between rectangular pattern along X direction, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Direction * | XVector () |
Returns the X direction of rectangular pattern, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Expression * | YCount () |
Returns the count of rectangular pattern along Y direction, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Expression * | YDistance () |
Returns the distance between rectangular pattern along Y direction, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Direction * | YVector () |
Returns the Y direction of rectangular pattern, don't use it until nx502 Created in NX5.0.2. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a builder for a pattern face feature, don't use it until nx502.
<br> To create a new instance of this class, use @link Features::FeatureCollection::CreatePatternFaceBuilder Features::FeatureCollection::CreatePatternFaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Angle.Value |
90.0 |
CircularCount.Value |
2 |
RestoreOption |
False |
XCount.Value |
2 |
XDistance.Value |
10.0 (millimeters part), 0.5 (inches part) |
YCount.Value |
2 |
YDistance.Value |
10.0 (millimeters part), 0.5 (inches part) |
Created in NX5.0.2.
NXOpen::Expression* NXOpen::Features::PatternFaceBuilder::Angle | ( | ) |
Returns the angle between circular pattern, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Axis* NXOpen::Features::PatternFaceBuilder::Axis | ( | ) |
Returns the axis of circular pattern, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::Features::PatternFaceBuilder::CircularCount | ( | ) |
Returns the count of circular pattern, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::PatternFaceBuilder::Face | ( | ) |
Returns the faces to pattern, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::PatternFaceBuilder::Plane | ( | ) |
Returns the mirror plane of mirror pattern, don't use it until nx502
Created in NX5.0.2.
License requirements : None
bool NXOpen::Features::PatternFaceBuilder::RestoreOption | ( | ) |
Returns the restore option for absent members.
Created in NX7.0.0.
License requirements : None
void NXOpen::Features::PatternFaceBuilder::SetAxis | ( | NXOpen::Axis * | axis | ) |
Sets the axis of circular pattern, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
axis | the circular axis |
void NXOpen::Features::PatternFaceBuilder::SetRestoreOption | ( | bool | restoreOption | ) |
Sets the restore option for absent members.
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
restoreOption | the restore option |
void NXOpen::Features::PatternFaceBuilder::SetType | ( | NXOpen::Features::PatternFaceBuilder::PatternTypes | patternType | ) |
Sets the pattern face type, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
patternType | the pattern face type |
void NXOpen::Features::PatternFaceBuilder::SetXVector | ( | NXOpen::Direction * | xVector | ) |
Sets the X direction of rectangular pattern, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
xVector | the x direction |
void NXOpen::Features::PatternFaceBuilder::SetYVector | ( | NXOpen::Direction * | yVector | ) |
Sets the Y direction of rectangular pattern, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
yVector | the y direction |
NXOpen::Features::PatternFaceBuilder::PatternTypes NXOpen::Features::PatternFaceBuilder::Type | ( | ) |
Returns the pattern face type, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::Features::PatternFaceBuilder::XCount | ( | ) |
Returns the count of rectangular pattern along X direction, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::Features::PatternFaceBuilder::XDistance | ( | ) |
Returns the distance between rectangular pattern along X direction, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Direction* NXOpen::Features::PatternFaceBuilder::XVector | ( | ) |
Returns the X direction of rectangular pattern, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::Features::PatternFaceBuilder::YCount | ( | ) |
Returns the count of rectangular pattern along Y direction, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::Features::PatternFaceBuilder::YDistance | ( | ) |
Returns the distance between rectangular pattern along Y direction, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Direction* NXOpen::Features::PatternFaceBuilder::YVector | ( | ) |
Returns the Y direction of rectangular pattern, don't use it until nx502
Created in NX5.0.2.
License requirements : None